clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::CodeGen::CodeGenFunction::CXXDefaultInitExprScope Class Reference

The scope of a CXXDefaultInitExpr. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/CodeGenFunction.h"`

Collaboration diagram for clang::CodeGen::CodeGenFunction::CXXDefaultInitExprScope:
[legend]

## Public Member Functions
| CXXDefaultInitExprScope (CodeGenFunction &CGF)
| ~CXXDefaultInitExprScope ()

## Public Attributes
CodeGenFunction & | CGF
llvm::Value * | OldCXXThisValue
CharUnits | OldCXXThisAlignment

## Detailed Description

The scope of a CXXDefaultInitExpr.

Within this scope, the value of 'this' is overridden to be the object under construction.

Definition at line 1418 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ CXXDefaultInitExprScope()

clang::CodeGen::CodeGenFunction::CXXDefaultInitExprScope::CXXDefaultInitExprScope | ( | CodeGenFunction & | CGF | ) |
| inline

Definition at line 1420 of file CodeGenFunction.h.

References clang::CodeGen::Address::getAlignment(), and clang::CodeGen::Address::getPointer().

## ◆ ~CXXDefaultInitExprScope()

clang::CodeGen::CodeGenFunction::CXXDefaultInitExprScope::~CXXDefaultInitExprScope | ( |  | ) |
| inline

Definition at line 1426 of file CodeGenFunction.h.

## Member Data Documentation

## ◆ CGF

CodeGenFunction& clang::CodeGen::CodeGenFunction::CXXDefaultInitExprScope::CGF

Definition at line 1432 of file CodeGenFunction.h.

## ◆ OldCXXThisAlignment

CharUnits clang::CodeGen::CodeGenFunction::CXXDefaultInitExprScope::OldCXXThisAlignment

Definition at line 1434 of file CodeGenFunction.h.

## ◆ OldCXXThisValue

llvm::Value* clang::CodeGen::CodeGenFunction::CXXDefaultInitExprScope::OldCXXThisValue

Definition at line 1433 of file CodeGenFunction.h.

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h